## imgsizer 1.2

=== Makefile ===
# Makefile for the imgsizer distribution

# These choices are correct for Linux.  Season to taste.
BINDIR = /usr/local/bin
MANDIR = /usr/man/man1

install:
	cp imgsizer httpget $(BINDIR)
	cp imgsizer.man $(MANDIR)/imgsizer.1

DISTDIR = imgsizer-1.2
FILES = $(DISTDIR)/Makefile $(DISTDIR)/READ.ME $(DISTDIR)/httpget \
	$(DISTDIR)/imgsizer $(DISTDIR)/imgsizer.lsm \
	$(DISTDIR)/imgsizer.man
$(DISTDIR).tar:
	(cd ..; tar -cvf $(DISTDIR)/$(DISTDIR).tar $(FILES))
$(DISTDIR).tar.gz: $(DISTDIR).tar
	gzip -f $(DISTDIR).tar

dist: $(DISTDIR).tar.gz
	ls -l $(DISTDIR).tar.gz
