## imgsizer 1.6

=== Makefile ===
# Makefile for the imgsizer distribution
VERS=1.6

# These choices are correct for Linux.  Season to taste.
BINDIR = /usr/bin
MANDIR = /usr/man/man1

install:
	cp imgsizer httpget $(BINDIR)
	cp imgsizer.man $(MANDIR)/imgsizer.1

uninstall:
	rm -f $(BINDIR)/imgsizer $(BINDIR)/imgsizer $(MANDIR)/imgsizer.1

SOURCES = READ.ME Makefile imgsizer httpget imgsizer.man imgsizer.lsm  
imgsizer-$(VERS).tar.gz: $(SOURCES)
	mkdir imgsizer-$(VERS)
	cp $(SOURCES) imgsizer-$(VERS)
	tar -czf imgsizer-$(VERS).tar.gz imgsizer-$(VERS)
	rm -fr imgsizer-$(VERS)
	ls -l imgsizer-$(VERS).tar.gz

dist: imgsizer-$(VERS).tar.gz
	ls -l imgsizer-$(VERS).tar.gz

# Make RPMs.  You need to be root to make this work
RPMROOT=/usr/src/redhat
RPM = rpm
RPMFLAGS = -bb --target noarch
rpm: imgsizer-$(VERS).tar.gz
	cp imgsizer-$(VERS).tar.gz $(RPMROOT)/SOURCES;
	cp imgsizer.spec $(RPMROOT)/SPECS/imgsizer.spec
	(cd $(RPMROOT)/SPECS; $(RPM) $(RPMFLAGS) imgsizer.spec)
	cp $(RPMROOT)/RPMS/noarch/imgsizer-$(VERS)*.rpm .
	chown $$USER *
