## imgsizer 2.7

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for the imgsizer distribution
-VERS=2.5
+VERS=$(shell sed <imgsizer.spec -n -e '/Version: \(.*\)/s//\1/p')
 
 # These choices are correct for Linux.  Season to taste.
 BINDIR = /usr/bin
@@ -20,7 +20,7 @@
 imgsizer.1: imgsizer.xml
 	xmlto man imgsizer.xml
 
-SOURCES = READ.ME Makefile imgsizer.spec \
+SOURCES = README COPYING Makefile imgsizer.spec \
 	imgsizer imgsizer.xml \
 	test-before.html test-converted.html test.png tnhd2.jpg
 
@@ -38,12 +38,5 @@
 
 dist: imgsizer-$(VERS).tar.gz
 
-# Make RPMs.  You need to be root to make this work
-RPMROOT=/usr/src/redhat
-rpm: dist
-	rpmbuild --target noarch --define 'myversion $(VERS)' -ta imgsizer-$(VERS).tar.gz
-	cp $(RPMROOT)/RPMS/noarch/imgsizer-$(VERS)*.noarch.rpm .
-
-
-
-
+release: imgsizer-$(VERS).tar.gz imgsizer.html
+	shipper -f; rm -f CHANGES ANNOUNCE* *.1 *.html *.rpm *.lsm
