## imgsizer 2.10

=== Makefile ===
# Makefile for the imgsizer distribution

# Change this in NEWS file, too
VERS=$(shell sed <imgsizer -n -e '/version *= *\"\(.*\)\"/s//\1/p')

# These choices are correct for Linux.  Season to taste.
BINDIR = /usr/bin
MANDIR = /usr/share/man/man1

install: imgsizer.1 uninstall
	cp imgsizer $(BINDIR)
	cp imgsizer.1 $(MANDIR)/imgsizer.1

uninstall:
	rm -f $(BINDIR)/imgsizer $(BINDIR)/imgsizer $(MANDIR)/imgsizer.1

clean:
	rm -f imgsizer.1 *~ imgsizer-*.tar.gz
	rm -f test-after.html index.html imgsizer.html

imgsizer.1: imgsizer.xml
	xmlto man imgsizer.xml

imgsizer.html: imgsizer.xml
	xmlto html-nochunks imgsizer.xml

# The original unshrunk crate logo is at
# http://clipart-library.com/image_gallery/22229.jpg
SOURCES = README COPYING NEWS control Makefile imgsizer imgsizer.xml crate.jpg \
	test-before.html test-converted.html test.png tnhd2.jpg crate.png

imgsizer-$(VERS).tar.gz: $(SOURCES) imgsizer.1 
	mkdir imgsizer-$(VERS)
	cp $(SOURCES) imgsizer.1 imgsizer-$(VERS)
	tar -czf imgsizer-$(VERS).tar.gz imgsizer-$(VERS)
	rm -fr imgsizer-$(VERS)
	ls -l imgsizer-$(VERS).tar.gz

PYLINTOPTS = --rcfile=/dev/null --reports=n  --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" --dummy-variables-rgx='^_' --disable=C0103,C0111,C0301,C0326,F0401,R0912,W0121,W0603,W0621,W0622,W0633
pylint:
	@pylint $(PYLINTOPTS) imgsizer

version:
	@echo $(VERS)

# Regression test is good if there is no output
check: 
	@imgsizer <test-before.html >test-after.html
	@diff -c test-after.html test-converted.html
	@echo "No output (other than this) is good news"

dist: imgsizer-$(VERS).tar.gz

release: imgsizer-$(VERS).tar.gz imgsizer.html
	shipper version=$(VERS) | sh -e -x

refresh: imgsizer.html
	shipper -N -w version=$(VERS) | sh -e -x
