=== debian/changelog ===
imgsizer (2.10-2) unstable; urgency=medium

  * QA upload.
  * debian/compat: Removed.
  * debian/control:
    - Added '${misc:Depends}' in Depends.
    - Changed from 'debhelper' to 'debhelper-compat (= 13)' in Build-Depends.
  * debian/rules: Changed from 'dh_installmanpages' to 'dh_installman'.

 -- Bruno Almeida Lima <bruno_a.lima@hotmail.com>  Thu, 14 Dec 2023 21:56:54 -0300

imgsizer (2.10-1) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0. (Closes: #1007301)
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Thu, 14 Sep 2023 09:17:11 +0000

imgsizer (2.10-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965592)
  * debian/rules: Add build-{arch,indep}. (Closes: #999052)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Dec 2021 20:59:10 +0200

imgsizer (2.10-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Use Python 3. (Closes: #936729)
  * debian/control: Add Homepage.

 -- Adrian Bunk <bunk@debian.org>  Mon, 23 Dec 2019 16:40:54 +0200

imgsizer (2.7-3) unstable; urgency=low

  * Bug fix: "imgsizer: Doesn't conform to the python policy", thanks
    to Josselin Mouette (Closes: #445280).  Tested with python 2.5.
  * Updated to Standards-Version 2.7.2
  * debian/compat: Added.
  
 -- Peter S Galbraith <psg@debian.org>  Sat, 06 Oct 2007 21:36:27 -0400

imgsizer (2.7-2) unstable; urgency=high

  * Default python is now 2.4; imgsizer won't install. (Closes: #383363)

 -- Peter S Galbraith <psg@debian.org>  Sun, 20 Aug 2006 01:17:21 -0400

imgsizer (2.7-1) unstable; urgency=low

  * New upstream release.

 -- Peter S Galbraith <psg@debian.org>  Thu,  2 Sep 2004 14:23:41 -0400

imgsizer (2.5-1) unstable; urgency=low

  * New upstream release, integrates Lucien Saviot's patch.

 -- Peter S Galbraith <psg@debian.org>  Sat, 15 Nov 2003 13:45:24 -0500

imgsizer (2.4-4) unstable; urgency=low

  * Bug fix: "imgsizer crashes if <img tag is split", thanks to Dave Selby
    for reporting and to Lucien Saviot <lucien.saviot@u-bourgogne.fr> for
    providing the fix (Closes: #215991).

 -- Peter S Galbraith <psg@debian.org>  Sun, 26 Oct 2003 20:20:32 -0500

imgsizer (2.4-3) unstable; urgency=low

  * Standards-Version 3.6.1 without changes.
  * Bug fix: "imgsizer: Patch to generate valid XHTML", thanks to Lucien
    Saviot (Closes: #208618).

 -- Peter S Galbraith <psg@debian.org>  Wed,  3 Sep 2003 22:27:35 -0400

imgsizer (2.4-2) unstable; urgency=low

  * Depend on new default version of python, 2.3
  * Standards-Version 3.6.0 without changes.

 -- Peter S Galbraith <psg@debian.org>  Fri,  8 Aug 2003 21:57:22 -0400

imgsizer (2.4-1) unstable; urgency=low

  * New upstream release (incorporates patches from 2.3-1).
  * Standards-Version: 3.5.9 (No changes)

 -- Peter S Galbraith <psg@debian.org>  Fri, 25 Apr 2003 12:44:35 -0400

imgsizer (2.3-1) unstable; urgency=low

  * New upstream release (imgsizer file says version 2.2, but tar file
    indicates 2.3).
  * Enhance parsing of "<img src=" using patch from Jeroen N. Witmond
    <jnw@xs4all.nl> (closes: #168964).
  * Package still contains patch added in 2.1-5 since it hasn't been
    merged upstream yet.

 -- Peter S Galbraith <psg@debian.org>  Wed, 20 Nov 2002 15:36:39 -0500

imgsizer (2.1-6) unstable; urgency=low

  * debian/control: depend on python >= (2.2), python << (2.3) as
    requested by Matthias Klose since the package was no longer
    installable on unstable.
  * debian/control: Conforms to Standards-Version 3.5.7 without changes.

 -- Peter S Galbraith <psg@debian.org>  Mon, 16 Sep 2002 10:52:37 -0400

imgsizer (2.1-5) unstable; urgency=low

  * Add patch from Lennart Poettering <lennart@poettering.de> fixing
    detection of <img>-tags after single character html tags. e.g.
    <b><img src="foo.png"></b> (closes: #139714).

 -- Peter S Galbraith <psg@debian.org>  Mon, 25 Mar 2002 09:21:51 -0500

imgsizer (2.1-4) unstable; urgency=low

  * debian/control: depend on python >= (2.1), python << (2.2)
  * imgsizer: s/cmd/filecmd/ for python 2.1 instead of 1.5 (cmp.py is
    deprecated; it's now in the old-lib directory whicis not in the load
    path.)
  * imgsizer: change interpreter back to /usr/bin/python

 -- Peter S Galbraith <psg@debian.org>  Thu, 17 Jan 2002 15:20:38 -0500

imgsizer (2.1-3) unstable; urgency=low

  * debian/control: depend on python1.5 (Oups. python1.5-base doesn't
    exist in unstable anymore!)

 -- Peter S Galbraith <psg@debian.org>  Sun,  6 Jan 2002 20:24:44 -0500

imgsizer (2.1-2) unstable; urgency=low

  * imgsizer: change interpreter to /usr/bin/python1.5
  * debian/control: depend on python1.5-base

 -- Peter S Galbraith <psg@debian.org>  Fri,  4 Jan 2002 21:07:38 -0500

imgsizer (2.1-1) unstable; urgency=low

  * New upstream release, uses python instead of perl.
  * debian/control: updated for python.
  * debian/httpget.1: Deleted (no longer relevant).
  * debian/README.Debian: Deleted (no longer relevant).
  * Conforms to Standards-Version 3.5.6

 -- Peter S Galbraith <psg@debian.org>  Tue,  4 Sep 2001 12:45:27 -0400

imgsizer (1.8-3) unstable; urgency=low

  * httpget: Used HTTP/1.0 instead of HTTP/1.1. Applied patch from 
    Colin Watson <cjw44@riva.ucam.org> (closes: #84897)
  * Removed dh_testversion from debian/rules.
  * Changed Build-Depends to debhelper, removing perl-5.005
  * Conforms to Standards-Version 3.5.2
  * Added copyright info for httpget by separate author

 -- Peter S Galbraith <psg@debian.org>  Mon, 26 Feb 2001 16:10:38 -0500

imgsizer (1.8-2) unstable; urgency=low

  * httpget: Change script to 'use Socket;' instead of require "sys/socket.ph".
  * Change Depends to either imagemagick or both file and libjpeg-progs.

 -- Peter S Galbraith <psg@debian.org>  Thu, 21 Sep 2000 12:24:46 -0400

imgsizer (1.8-1) unstable; urgency=low

  * New upstream release.
  * New Debian maintainer; package adopted (closes: #68589)

