=== debian/rules ===
#!/usr/bin/make -f

package=imgsizer

build:

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	dh_clean

install:
	dh_testdir
	dh_testroot
#	dh_clean -k
	dh_installdirs usr/bin
	install -m 755 imgsizer debian/imgsizer/usr/bin

binary-arch:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installman
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build-arch: build
build-indep: build
binary: binary-arch binary-indep
.PHONY: build build-arch build-indep clean install binary-indep binary-arch binary
