## imgsizer 2.12

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 # The original unshrunk crate logo is at
 # http://clipart-library.com/image_gallery/22229.jpg
-SOURCES = README COPYING NEWS control Makefile imgsizer imgsizer.xml crate.jpg \
+SOURCES = README COPYING NEWS control Makefile imgsizer imgsizer.xml \
 	test-before.html test-converted.html test.png tnhd2.jpg crate.png
 
 imgsizer-$(VERS).tar.gz: $(SOURCES) imgsizer.1 
@@ -36,12 +36,13 @@
 	rm -fr imgsizer-$(VERS)
 	ls -l imgsizer-$(VERS).tar.gz
 
-PYLINTOPTS = --rcfile=/dev/null --reports=n  --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" --dummy-variables-rgx='^_' --disable=C0103,C0111,C0301,C0326,F0401,R0912,W0121,W0603,W0621,W0622,W0633
 pylint:
-	@pylint $(PYLINTOPTS) imgsizer
+	@pylint --score=n imgsizer
+
+NEWSVERSION=$(shell sed -n <NEWS '/^[0-9]/s/:.*//p' | head -1)
 
 version:
-	@echo $(VERS)
+	@echo "Internal version:" $(VERS) "NEWS file version:" $(NEWSVERSION)
 
 # Regression test is good if there is no output
 check: 
@@ -52,7 +53,9 @@
 dist: imgsizer-$(VERS).tar.gz
 
 release: imgsizer-$(VERS).tar.gz imgsizer.html
+	@[ $(VERS) = $(NEWSVERSION) ] || { echo "Version mismatch!"; exit 1; }
 	shipper version=$(VERS) | sh -e -x
 
 refresh: imgsizer.html
+	@[ $(VERS) = $(NEWSVERSION) ] || { echo "Version mismatch!"; exit 1; }
 	shipper -N -w version=$(VERS) | sh -e -x
