=== debian/changelog ===
imgsizer (2.12-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 2.12.
  * d/patches:
    - 1000-shebank.patch: Drop patch, unnecessary in the new release.
    - 1010-imgsizer.xml-Fix-XML-grammar.patch: Refresh, forwarded, apply DEP-3.
    - 1020-Makefile-Fix-make-check.patch: Refresh, set forwarded as not-needed.
    - 1030-no-build.patch: Forwarded to Upstream.
  * d/watch: Added watch to automatically check for new version.

 -- Matheus Polkorny <mpolkorny@gmail.com>  Tue, 11 Jun 2024 13:04:47 -0300

imgsizer (2.10-6) unstable; urgency=medium

  * QA upload.

  * Added imagemagick as build dependency for self test to work.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 18 May 2024 23:05:43 +0200

imgsizer (2.10-5) unstable; urgency=medium

  * QA upload.

  * Build depend on python3 to run self test.
  * Extended 'make check' patch to not require Internet connection
    during build.
  * Renamed patches.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 18 May 2024 09:55:10 +0200

imgsizer (2.10-4) unstable; urgency=medium

  * QA upload.

  * Added missing xmlto build dependency.
  * Corrected no-build.patch metadata.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 18 May 2024 07:09:00 +0200

imgsizer (2.10-3) unstable; urgency=medium

  * QA upload.

  [ Petter Reinholdtsen ]
  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.

  [ Boyuan Yang ]
  * Added 0003-imgsizer.xml-Fix-XML-grammar.patch to fix manpage.
    (Closes: #604052)
  * Added 0001-Makefile-Fix-make-check.patch to fix check target.

  [ Petter Reinholdtsen ]
  * Updated Standards-Version from 3.7.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Switched to simple dh d/rules file.
  * Adjusted d/copyright with more details on packaging.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 16 May 2024 20:50:39 +0200
