=== debian/control ===
--- 
+++ 
@@ -2,13 +2,22 @@
 Section: web
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 3.7.2
+Build-Depends: debhelper-compat (= 13),
+               imagemagick,
+               python3,
+               xmlto,
+Standards-Version: 4.7.0
 Homepage: http://www.catb.org/~esr/imgsizer/
+Vcs-Browser: https://salsa.debian.org/debian/imgsizer
+Vcs-Git: https://salsa.debian.org/debian/imgsizer.git
+Rules-Requires-Root: no
 
 Package: imgsizer
 Architecture: all
-Depends: ${misc:Depends}, imagemagick | file, imagemagick | libjpeg-turbo-progs, python3
+Depends: imagemagick | file,
+         imagemagick | libjpeg-turbo-progs,
+         python3,
+         ${misc:Depends},
 Description: Adds WIDTH and HEIGHT attributes to IMG tags in HTML files
  The imgsizer script automates away the tedious task of creating and
  updating the extension HEIGHT and WIDTH parameters in HTML IMG tags.
