=== debian/watch ===
version=4
http://www.catb.org/~esr/imgsizer imgsizer-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
